@c -*-texinfo-*-

@node References, Index, Discussion, Top
@appendix References

@bibdfn{Abramowitz 1972} Abramowitz, M., and I.@: A.@: Stegun,
@cite{Handbook of Mathematical Functions with Formulas, Graphs, and
Mathematical Tables}.  U.@: S.@: Govt.@: Print.@: Off., Washington,
D.C., 1972.

@bibdfn{Bentley 1978} Bentley, J.@: L., and J.@: H.@: Friedman, ``Fast
Algorithms for Constructing Minimal Spanning Trees in Coordinate
Spaces,'' @cite{IEEE Trans. on Comp.} 2 (1984), pp. 97--105.

@bibdfn{Boyer 1997} Boyer, J., ``Algorithm Alley: The Fibonacci Heap,''
@cite{Dr. Dobb's Journal}, Jan. 1997,
@uref{http://www.ddj.com/articles/1997/9701/9701o/9701o.htm?topic=algorithms}.

@bibdfn{Cormen 1990} Cormen, C.@: H., C.@: E.@: Leiserson, and R.@: L.@:
Rivest, @cite{Introduction to Algorithms}.  McGraw-Hill, 1990.  ISBN
0-262-03141-8.

@bibdfn{FSF 2001} Free Software Foundation, @cite{GNU Coding
Standards}, edition 23 Mar 2001.
@uref{http://www.gnu.org/prep/standards_toc.html}.

@bibdfn{Goldberg 1991} Goldberg, D., ``What Every Computer Scientist Should
Know About Floating-Point Arithmetic,'' @cite{ACM Computing
Surveys}, 23 (1991), pp. 5--48.

@bibdfn{ISO 1990} International Organization for Standardization,
@cite{ANSI/ISO 9899-1990: American National Standard for Programming
Languages---C}, 1990.  Reprinted in @cite{The Annotated ANSI C
Standard}, ISBN 0-07-881952-0.

@bibdfn{ISO 1999} International Organization for Standardization,
@cite{International Standard ISO/IEC 9899:1999(E): Programming
Languages---C}, 1999.

@bibdfn{Knuth 1992} Knuth, D.@: E., @cite{Literate Programming}, CSLI
Lecture Notes Number 27.  Center for the Study of Language and
Information, Leland Stanford Junior University, 1992.  ISBN
0-9370-7380-6.

@bibdfn{Knuth 1973} Knuth, D.@: E., @cite{The Art of Computer
Programming, Volume 3: Sorting and Searching}.  Addison-Wesley, 1973.
ISBN 0-201-03803-X.  2nd ed.: ISBN 0-201-89685-0, 1998.

@bibdfn{Matsumoto 1997} Matsumoto, M., and T.@: Nishimura, ``Mersenne
Twister'' pseudo-random number generator.
@uref{http://www.math.keio.ac.jp/~matumoto/emt.html}.

@bibdfn{Pfaff 2000} Pfaff, B.@: L., @cite{@libavl{} library for
manipulation of binary trees}, version 2.0 ALPHA, edition 13 Dec 2000.
@uref{http://www.msu.edu/~pfaffben/avl/}.

@bibdfn{Pfaff 2001} Pfaff, B.@: L., @cite{Personal Coding Standards},
version 1.2, edition 5 Jan 2001.
@uref{http://www.msu.edu/~pfaffben/writings/}.

@bibdfn{Smith 1984} Smith, S.@: P., and A.@: K.@: Jain, ``Testing for
Uniformity in Multidimensional Data,'' @cite{IEEE Trans. on Pattern
Analysis and Machine Intelligence} 6 (1984), pp. 73--81.

@bibdfn{Summit 1999} Summit, S.@:, @cite{comp.lang.c Answers to
Frequently Asked Questions}, version 3.5.
@uref{http://www.eskimo.com/~scs/C-faq/top.html}.  ISBN 0-201-84519-9.

@bibdfn{Fredman 1987} Fredman, L.@: F., and R.@: E.: Tarjan, ``Fibonacci
Heaps and Their Uses in Improved Network Optimization Algorithms,''
@cite{J. ACM}, 3 (1987), pp. 596--615.

@bibdfn{Zwillinger 1996} Zwillinger, D., @cite{CRC Standard Mathematical
Tables and Formulae}, 30th ed.  CRC Press, Boca Raton, 1996.  ISBN
0-8493-2479-3.
